Package owl.grammar

## Class LTLLexer

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>
  - - org.antlr.v4.runtime.Lexer
    - - owl.grammar.LTLLexer

- All Implemented Interfaces:
    `org.antlr.v4.runtime.TokenSource`

      public class LTLLexer
      extends org.antlr.v4.runtime.Lexer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.antlr.v4.runtime.atn.ATN` | `_ATN` |
    `protected static org.antlr.v4.runtime.dfa.DFA[]` | `_decisionToDFA` |
    `static String` | `_serializedATN` |
    `protected static org.antlr.v4.runtime.atn.PredictionContextCache` | `_sharedContextCache` |
    `static int` | `AND` |
    `static int` | `BIIMP` |
    `static String[]` | `channelNames` |
    `static int` | `DIVISION` |
    `static int` | `DOUBLE_QUOTED` |
    `static int` | `DOUBLE_QUOTED_VARIABLE` |
    `static int` | `EQ` |
    `static int` | `ERROR` |
    `static int` | `FALSE` |
    `static int` | `FINALLY` |
    `static int` | `FREQUENCY_SPEC` |
    `static int` | `GE` |
    `static int` | `GLOBALLY` |
    `static int` | `GT` |
    `static int` | `IMP` |
    `static int` | `INF` |
    `static int` | `LCPAREN` |
    `static int` | `LDQUOTE` |
    `static int` | `LE` |
    `static int` | `LPAREN` |
    `static int` | `LSQUOTE` |
    `static int` | `LT` |
    `static String[]` | `modeNames` |
    `static int` | `NEXT` |
    `static int` | `NOT` |
    `static int` | `OR` |
    `static int` | `POS_NUMBER` |
    `static int` | `PROBABILITY` |
    `static int` | `RCPAREN` |
    `static int` | `RDQUOTE` |
    `static int` | `RELEASE` |
    `static int` | `RPAREN` |
    `static int` | `RSQUOTE` |
    `static String[]` | `ruleNames` |
    `static int` | `SINGLE_QUOTED` |
    `static int` | `SINGLE_QUOTED_VARIABLE` |
    `static int` | `SKIP_DEF` |
    `static int` | `SKIP_FREQ` |
    `static int` | `SRELEASE` |
    `static int` | `SUP` |
    `static String[]` | `tokenNames` | Deprecated. Use `VOCABULARY` instead.
    `static int` | `TRUE` |
    `static int` | `UNTIL` |
    `static int` | `VARIABLE` |
    `static org.antlr.v4.runtime.Vocabulary` | `VOCABULARY` |
    `static int` | `WUNTIL` |
    `static int` | `XOR` |

    - ### Fields inherited from class org.antlr.v4.runtime.Lexer

      `_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LTLLexer​(org.antlr.v4.runtime.CharStream input)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.antlr.v4.runtime.atn.ATN` | `getATN()` |
    `String[]` | `getChannelNames()` |
    `String` | `getGrammarFileName()` |
    `String[]` | `getModeNames()` |
    `String[]` | `getRuleNames()` |
    `String` | `getSerializedATN()` |
    `String[]` | `getTokenNames()` | Deprecated.
    `org.antlr.v4.runtime.Vocabulary` | `getVocabulary()` |

    - ### Methods inherited from class org.antlr.v4.runtime.Lexer

      `emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _decisionToDFA

          protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

    - #### _sharedContextCache

          protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

    - #### TRUE

          public static final int TRUE

      See Also:
        Constant Field Values

    - #### FALSE

          public static final int FALSE

      See Also:
        Constant Field Values

    - #### NOT

          public static final int NOT

      See Also:
        Constant Field Values

    - #### IMP

          public static final int IMP

      See Also:
        Constant Field Values

    - #### BIIMP

          public static final int BIIMP

      See Also:
        Constant Field Values

    - #### XOR

          public static final int XOR

      See Also:
        Constant Field Values

    - #### AND

          public static final int AND

      See Also:
        Constant Field Values

    - #### OR

          public static final int OR

      See Also:
        Constant Field Values

    - #### FINALLY

          public static final int FINALLY

      See Also:
        Constant Field Values

    - #### GLOBALLY

          public static final int GLOBALLY

      See Also:
        Constant Field Values

    - #### NEXT

          public static final int NEXT

      See Also:
        Constant Field Values

    - #### UNTIL

          public static final int UNTIL

      See Also:
        Constant Field Values

    - #### WUNTIL

          public static final int WUNTIL

      See Also:
        Constant Field Values

    - #### RELEASE

          public static final int RELEASE

      See Also:
        Constant Field Values

    - #### SRELEASE

          public static final int SRELEASE

      See Also:
        Constant Field Values

    - #### LPAREN

          public static final int LPAREN

      See Also:
        Constant Field Values

    - #### RPAREN

          public static final int RPAREN

      See Also:
        Constant Field Values

    - #### LDQUOTE

          public static final int LDQUOTE

      See Also:
        Constant Field Values

    - #### LSQUOTE

          public static final int LSQUOTE

      See Also:
        Constant Field Values

    - #### LCPAREN

          public static final int LCPAREN

      See Also:
        Constant Field Values

    - #### VARIABLE

          public static final int VARIABLE

      See Also:
        Constant Field Values

    - #### SKIP_DEF

          public static final int SKIP_DEF

      See Also:
        Constant Field Values

    - #### RDQUOTE

          public static final int RDQUOTE

      See Also:
        Constant Field Values

    - #### DOUBLE_QUOTED_VARIABLE

          public static final int DOUBLE_QUOTED_VARIABLE

      See Also:
        Constant Field Values

    - #### RSQUOTE

          public static final int RSQUOTE

      See Also:
        Constant Field Values

    - #### SINGLE_QUOTED_VARIABLE

          public static final int SINGLE_QUOTED_VARIABLE

      See Also:
        Constant Field Values

    - #### PROBABILITY

          public static final int PROBABILITY

      See Also:
        Constant Field Values

    - #### POS_NUMBER

          public static final int POS_NUMBER

      See Also:
        Constant Field Values

    - #### DIVISION

          public static final int DIVISION

      See Also:
        Constant Field Values

    - #### GT

          public static final int GT

      See Also:
        Constant Field Values

    - #### GE

          public static final int GE

      See Also:
        Constant Field Values

    - #### LT

          public static final int LT

      See Also:
        Constant Field Values

    - #### LE

          public static final int LE

      See Also:
        Constant Field Values

    - #### EQ

          public static final int EQ

      See Also:
        Constant Field Values

    - #### SUP

          public static final int SUP

      See Also:
        Constant Field Values

    - #### INF

          public static final int INF

      See Also:
        Constant Field Values

    - #### RCPAREN

          public static final int RCPAREN

      See Also:
        Constant Field Values

    - #### SKIP_FREQ

          public static final int SKIP_FREQ

      See Also:
        Constant Field Values

    - #### ERROR

          public static final int ERROR

      See Also:
        Constant Field Values

    - #### DOUBLE_QUOTED

          public static final int DOUBLE_QUOTED

      See Also:
        Constant Field Values

    - #### SINGLE_QUOTED

          public static final int SINGLE_QUOTED

      See Also:
        Constant Field Values

    - #### FREQUENCY_SPEC

          public static final int FREQUENCY_SPEC

      See Also:
        Constant Field Values

    - #### channelNames

          public static String[] channelNames

    - #### modeNames

          public static String[] modeNames

    - #### ruleNames

          public static final String[] ruleNames

    - #### VOCABULARY

          public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

    - #### tokenNames

          @Deprecated
          public static final String[] tokenNames

      Deprecated.
      Use `VOCABULARY` instead.

    - #### _serializedATN

          public static final String _serializedATN

      See Also:
        Constant Field Values

    - #### _ATN

          public static final org.antlr.v4.runtime.atn.ATN _ATN

  - ### Constructor Detail

    - #### LTLLexer

          public LTLLexer​(org.antlr.v4.runtime.CharStream input)

  - ### Method Detail

    - #### getTokenNames

          @Deprecated
          public String[] getTokenNames()

      Deprecated.
      Overrides:
        `getTokenNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getVocabulary

          public org.antlr.v4.runtime.Vocabulary getVocabulary()

      Overrides:
        `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Specified by:
        `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getRuleNames

          public String[] getRuleNames()

      Specified by:
        `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getSerializedATN

          public String getSerializedATN()

      Overrides:
        `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getChannelNames

          public String[] getChannelNames()

      Overrides:
        `getChannelNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getModeNames

          public String[] getModeNames()

      Overrides:
        `getModeNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getATN

          public org.antlr.v4.runtime.atn.ATN getATN()

      Specified by:
        `getATN` in class `org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>`